Get the task statistics of the episodes

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/episodes/stats

Get the number of tasks of a project for each task status, each task type and each episode. A vendor gets the statistics of their tasks only. A client can use this route only if the project makes its statistics visible to clients (is_client_stats_visible).

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

Responses

  • 200 application/json

    The task statistics

    Hide response attribute Show response attribute object
    • * object Additional properties
      Hide * attribute Show * attribute object
      • * object Additional properties
        Hide * attribute Show * attribute object
        • * object Additional properties
          Hide * attributes Show * attributes object
          • count integer
          • frames integer
          • drawings integer
  • 403

    You do not have access to this project, or you are a client and the project hides its statistics from clients

GET /data/projects/{project_id}/episodes/stats
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/episodes/stats" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/episodes/stats"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "episodeId1": {
    "taskTypeId1": {
      "taskStatusId1": {
        "count": 50,
        "frames": 600,
        "drawings": 150
      },
      "taskStatusId2": {
        "count": 70,
        "frames": 840,
        "drawings": 210
      }
    }
  },
  "all": {
    "all": {
      "taskStatusId1": {
        "count": 200,
        "frames": 2400,
        "drawings": 600
      }
    }
  }
}